<template>
  <Touchable :activeOpacity="activeOpacity" @click="emit('click')">
    <Image v-bind="props" />
  </Touchable>
</template>

<script setup lang="ts">
import Touchable from '../feedback/Touchable.vue';
import type { ImageProps } from './Image.vue';
import Image from './Image.vue';

const props = withDefaults(defineProps<ImageProps & {
  activeOpacity?: number;
}>(), {
  activeOpacity: 0.7,
});

const emit = defineEmits(['click']);

</script>